"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
const fs = require('fs');
const nodeFetch = require('node-fetch');
const { EfficientnetCheckPointFactory, EfficientnetCheckPoint, EfficientnetModel } = require("./index");
const images = ['car.jpg', 'panda.jpg'];
const imageDir = "./samples";
const imageDirRemoteUri = "https://raw.githubusercontent.com/ntedgi/node-efficientnet/main/samples";
fs.mkdirSync(imageDir);
function download(image, cb) {
    return __awaiter(this, void 0, void 0, function* () {
        const response = yield nodeFetch(`${imageDirRemoteUri}/${image}`);
        const buffer = yield response.buffer();
        fs.writeFile(`${imageDir}/${image}`, buffer, cb);
    });
}
EfficientnetCheckPointFactory.create(EfficientnetCheckPoint.B0)
    .then((model) => {
    images.forEach((image) => __awaiter(void 0, void 0, void 0, function* () {
        yield download(image, () => {
            model.inference(`${imageDir}/${image}`).then((result) => {
                console.log(result.result);
            });
        });
    }));
})
    .catch((e) => {
    console.error(e);
});
